# StringQueueAppender.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <string>`
`#include <queue>`
`#include <log4cpp/LayoutAppender.hh>`

Include dependency graph for StringQueueAppender.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::StringQueueAppender
| This class puts log messages in an in-memory queue. More...